import sys

## RETURNS ERROR ONLY ON ONE SEQUENCE "cre-MIR911", but NOT important because I am working on "hsa-"

def main():
	inputfile = sys.argv[1]
	name = sys.argv[2]
	f = open(inputfile,'r')
	out = open(name,'w')
	no = 0
	seq = ''
	last = ''

	

	for line in f:
		values = line.split()
		if len(values)==0: 
			continue
		if line[0]=='>':
			out.write(values[0])
			out.write('\n')
			no = 1
		else:
			if no==1:
				no = 2
				last = line
				continue
			elif no==2:
				for i in range(len(line)-2):
					if line[i]==' ':
						if last[i].isalpha():
							seq += '.'
					elif line[i].isalpha():
						seq += '('
					else:
						print('ERROR ' + line[i])
				seq += '.'
				last = line
				no = 3
			elif no==3:
				if values[-1][-1].isalpha():
					seq += '.'
				last = line
				no = 4
			elif no == 4:
				last = ''
				seq += '.'
				for i in range(len(line)-2):
					if line[i]==' ':
						last += '.'
					elif line[i].isalpha():
						last += ')'
					else:
						print('ERROR: ' + line[i] + ' ' + line)
				no = 5
			elif no == 5:
				for i in range(len(line)):
					deleted = 0
					if line[i] == '-':
						k = i-deleted
						last = last[:k]+last[k+1:]
						deleted +=1
				for item in reversed(last):
					seq += item

				out.write(seq)
				out.write('\n')
				seq = ''
				no = 0
				last = ''
	f.close()
	out.close()
		

if __name__ == '__main__':
	main()
