import numpy as np
import pandas as pd
from scipy import stats, integrate
import matplotlib.pyplot as plt
import matplotlib as mpl
import seaborn as sns
import pprint
import argparse
import code
import readline

parser = argparse.ArgumentParser()
parser.add_argument('dataset', help='dataset file')
args = parser.parse_args()
data = pd.read_json(open(args.dataset, 'r'))

vars = globals().copy()
vars.update(locals())
shell = code.InteractiveConsole(vars)
shell.interact()
